> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vibechain.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all metadata for a contract



## OpenAPI

````yaml /api-reference/vibemarket_openapi.yml get /metadata
openapi: 3.0.0
info:
  title: vibe.market Boosterbox API
  version: 1.0.0
  description: >
    API for managing boosterboxes, games (packs), and metadata on vibe.market.


    **Get your free API key at:**
    https://docs.vibechain.com/api-reference/vibemarket-intro


    **Default Chain:** Base (chainId: 8453)
servers:
  - url: https://build.vibechain.com/vibe/boosterbox
security: []
paths:
  /metadata:
    get:
      summary: Get all metadata for a contract
      parameters:
        - $ref: '#/components/parameters/API_KEY'
        - in: query
          name: contractAddress
          required: true
          schema:
            type: string
          description: The contract address
        - in: query
          name: chainId
          schema:
            type: integer
          description: The chain ID
        - in: query
          name: includeContractDetails
          schema:
            type: boolean
            default: false
          description: Include contract details
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetadataListResponse'
components:
  parameters:
    API_KEY:
      in: header
      name: API-KEY
      description: >-
        Free API key needed to authorize requests. Get one at:
        https://docs.vibechain.com/api-reference/vibemarket-intro
      required: true
      schema:
        type: string
        default: DEMO_REPLACE_WITH_FREE_API_KEY
  schemas:
    MetadataListResponse:
      type: object
      properties:
        success:
          type: boolean
        metadata:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: Card name
              description:
                type: string
                description: Card description
              imageUrl:
                type: string
                description: Card image URL
              rarity:
                type: integer
                description: Rarity tier (0-4)
              startId:
                type: integer
                description: Start token ID for this metadata
              endId:
                type: integer
                description: End token ID for this metadata
        contractDetails:
          $ref: '#/components/schemas/Game'
    Game:
      type: object
      description: A booster pack collection (game)
      properties:
        gameId:
          type: string
          description: Unique game identifier
        tokenAddress:
          type: string
          description: ERC20 token contract address for trading
        tokenName:
          type: string
          description: Token name
        tokenSymbol:
          type: string
          description: Token symbol
        nftName:
          type: string
          description: NFT collection name
        nftSymbol:
          type: string
          description: NFT collection symbol
        description:
          type: string
          description: Pack description
        imageUrl:
          type: string
          description: Collection image URL
        websiteUrl:
          type: string
          description: External website URL
        isGraduated:
          type: boolean
          description: Whether the token has graduated to Uniswap
        marketCap:
          type: string
          description: Market cap in wei
        marketCapUsd:
          type: string
          description: Market cap formatted in USD (e.g., "$3,245.67")
        preorderProgress:
          type: number
          description: Progress towards graduation (0-1)
        pricePerPack:
          type: string
          description: Price per pack in wei
        pricePerPackUsd:
          type: string
          description: Price per pack formatted in USD
        dropContractAddress:
          type: string
          description: NFT drop contract address (for minting)
        ownerAddress:
          type: string
          description: Creator's wallet address
        slug:
          type: string
          description: URL-friendly unique identifier
        bgColor:
          type: string
          description: Background color hex code
        featuredImageUrl:
          type: string
          description: Featured image URL
        packImage:
          type: string
          description: Pack image URL
        isActive:
          type: boolean
          description: Whether the pack is active
        isFeatured:
          type: boolean
          description: Whether the pack is featured
        isVerified:
          type: boolean
          description: Whether the pack is verified
        isVerifiedArtist:
          type: boolean
          description: Whether the creator is a verified artist
        disableFoil:
          type: boolean
          description: Whether foil is disabled for this pack
        disableWear:
          type: boolean
          description: Whether wear is disabled for this pack
        links:
          type: object
          description: Social links
          properties:
            twitter:
              type: string
            discord:
              type: string
            website:
              type: string
        version:
          type: string
          description: Contract version (V1, V2)
        chainId:
          type: integer
          description: Chain ID
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time

````